
package com.tmerclub.cloud.api.supplier.bo;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @Author lth
 * @Date 2021/8/11 10:05
 */
public class SupplierSimpleBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "supplierId")
    private Long supplierId;

    @Schema(description = "供应商店铺id列表")
    private List<Long> supplierIds;

    @Schema(description = "供应商名称")
    private String supplierName;

    @Schema(description = "供应商店铺名称")
    private String supplierShopName;

    @Schema(description = "供应商状态")
    private Integer supplierStatus;

    @Schema(description = "供应商店铺类型")
    private Integer type;

    @Schema(description = "排序: 1.supplierId 正序 2.supplierId 倒序")
    private Integer seq;

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public List<Long> getSupplierIds() {
        return supplierIds;
    }

    public void setSupplierIds(List<Long> supplierIds) {
        this.supplierIds = supplierIds;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    public Integer getSupplierStatus() {
        return supplierStatus;
    }

    public void setSupplierStatus(Integer supplierStatus) {
        this.supplierStatus = supplierStatus;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public String getSupplierShopName() {
        return supplierShopName;
    }

    public void setSupplierShopName(String supplierShopName) {
        this.supplierShopName = supplierShopName;
    }

    @Override
    public String toString() {
        return "SupplierSimpleBO{" +
                "supplierId=" + supplierId +
                ", supplierIds=" + supplierIds +
                ", supplierName='" + supplierName + '\'' +
                ", supplierShopName='" + supplierShopName + '\'' +
                ", supplierStatus=" + supplierStatus +
                ", type=" + type +
                ", seq=" + seq +
                '}';
    }
}
